#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int main(){
	string a, b;
	cin >> a >> b;
	
	reverse(a.begin(), a.end());
	reverse(b.begin(), b.end());
	
	vector<char> v;
	
	for(int i = 0; i < max(a.length(), b.length()); i++){
		if(i < a.length() && i < b.length()){
			if(a[i] == b[i]){
				v.push_back(a[i]);
				v.push_back(b[i]);
			}
			else if(a[i] > b[i])
				v.push_back(a[i]);
				
			else
				v.push_back(b[i]);
		}
		
		else if(i < a.length())
			v.push_back(a[i]);
			
		else
			v.push_back(b[i]);
			
	}

	string sol(v.begin(), v.end());
	reverse(sol.begin(), sol.end());
	
	cout << sol;
	return 0;
}